#ifndef DATAPACK_H_
#define DATAPACK_H_

#include "filetarget.h"

class DataPack: public FileTarget
{
public:
	typedef std::list<FileTarget *> FileList;
private:
	FileList files;

public:
	DataPack(Builder &, const Component &, const std::list<FileTarget *> &);
private:
	static Msp::FS::Path generate_target_path(const Component &);

public:
	virtual const char *get_type() const { return "DataPack"; }

	const FileList &get_files() const { return files; }
};

#endif
